# all folders and files are relative to the path 
# where fileb0x was run at!

# default: main
pkg: static

# destination
dest: "./api/http/static/"

# gofmt
# type: bool
# default: false
fmt: false

# compress files
# at the moment, only supports gzip
#
# type: object
compression:
  # activates the compression
  #
  # type: bool
  # default: false
  compress: false

  # valid values are:
  # -> "NoCompression"
  # -> "BestSpeed"
  # -> "BestCompression"
  # -> "DefaultCompression" or ""
  #
  # type: string
  # default: "DefaultCompression" # when: Compress == true && Method == ""
  method: ""

  # true = do it yourself (the file is written as gzip compressed file into the memory file system)
  # false = decompress files at run time (while writing file into memory file system)
  #
  # type: bool
  # default: false
  keep: false

# ---------------
# -- DANGEROUS --
# ---------------
# 
# cleans the destination folder (only b0xfiles)
# you should use this when using the spread function
# type: bool
# default: false
clean: true

# default: ab0x.go
output: "ab0x.go"

# [unexporTed] builds non-exporTed functions, variables and types...
# type: bool
# default: false
unexporTed: false

# [spread] means it will make a file to hold all fileb0x data
# and each file into a separaTed .go file
#
# example:
# theres 2 files in the folder assets, they're: hello.json and world.txt
# when spread is activaTed, fileb0x will make a file: 
# b0x.go or [output]'s data, assets_hello.json.go and assets_world.txt.go
#
#
# type: bool
# default: false
spread: true

# [lcf] log changed files when spread is active
lcf: true

# type: array of objects
custom:

  # type: array of strings
  - files: 
    - "assets/css/bulma-0.7.0.min.css"
    - "assets/css/bulma-tooltip-1.0.4.min.css"
    - "assets/css/bulma.css.map"
    - "assets/css/style.css"
    - "assets/js/fontawesome-5.0.7.js"

    # base is the path that will be removed from all files' path
    # type: string
    base: "assets"

    # prefix is the path that will be added to all files' path
    # type: string
    prefix: "static/"
  # end: files
  - files:
    - "assets/error.html"
    - "assets/footer.html"
    - "assets/index.html"
    - "assets/main.html"
    - "assets/navigation.html"
    - "assets/pagination_ellipsis.html"
    - "assets/pagination_link_current.html"
    - "assets/pagination_link.html"
    - "assets/pagination.html"
    - "assets/passworded_paste_verify.html"
    - "assets/paste.html"
    - "assets/pastelist_list.html"
    - "assets/pastelist_paste.html"
    base: "assets"
    prefix: ""